Bug 68392 - Formatting / Printing: Layer infomation of visio file is ignored when when showing a visio diagram in LibreOffice
Summary: Formatting / Printing: Layer infomation of visio file is ignored when when sh...
Status: RESOLVED FIXED
Alias: None
Product: libvisio
Classification: Unclassified
Component: General (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: x86-64 (AMD64) All
: medium normal
Assignee: Not Assigned
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-08-21 17:45 UTC by m_josenhans
Modified: 2015-12-15 00:32 UTC (History)
7 users (show)

See Also:
Crash report or crash signature:


Attachments
Zip file containg Visio examples and screenshorts (64.84 KB, application/zip)
2013-08-26 17:31 UTC, m_josenhans
Details

Note You need to log in before you can comment on or make changes to this bug.
Description m_josenhans 2013-08-21 17:45:36 UTC
Hi, 

I have (a confidential) Visio diagram, which provides drawing blocks and lines on multiple layers. Some of those layer have been deactivated, others are active.

While Visio shows only the active layers overlaid of each other, LibreOffice drawing shows all drawings overlaid of each other independently whether they have been marked as visible or not. 

Likely the same happens for printing. (Have not tested that.)
Comment 1 bfoman (inactive) 2013-08-22 21:16:33 UTC
Could you prepare a public example of such layered file?
Comment 2 m_josenhans 2013-08-26 17:31:28 UTC
Created attachment 84666 [details]
Zip file containg Visio examples and screenshorts

Please find the attached examples for viewing and printing attributes.
Comment 3 m_josenhans 2013-08-26 17:41:35 UTC
Note to the above attachment. 

First zip file within the zip-file:
The Box with the text "layer3" has deactivated visibility ("sichtbar").
Thus it should not be shown on the screen, however it is shown by LibreOffice 4.0.3.3.

Second zip file within the zip-file:
The Box with the text "layer3" has deactivated visibility ("sichtbar") and printability ("drucken").
Thus it should not be printed on the printer, however it is printed by LibreOffice 4.0.3.3.

I have set it to high importance, since if you use it in a factory some lines the wrong product may be build or an architect might build some walls visible in a deactivated layer.
Comment 4 Björn Michaelsen 2014-01-17 00:43:43 UTC
(This is an automated message.)

LibreOffice development currently prioritizes bugs with the so called MAB (most annoying bugs) -- as this bug has not run through that process (including writing a short rationale for this bug being a candidate and other who are watching the tracker bug silently approving that rationale etc.) its priority is set to high. Note this is effectively no change in the urgency assigned to this bug, as we are currently not making a difference between high and highest and severity is untouched.

You can find out more about MABs and how the process works by contacting libreoffice qa on irc:

 http://webchat.freenode.net/?channels=libreoffice-qa

The QA wiki page also gives you hints on how to get in contact with the team (if IRC fails you, your next best choice is the mailing list):

 https://wiki.documentfoundation.org/QA
Comment 5 Arnaud Versini 2014-01-17 21:52:54 UTC
@Fridrich, interested ?
Comment 6 Valek Filippov 2014-01-18 01:34:41 UTC
Layers attributes are in the PageSheet->LayerList->LayerIX chunks.
Attributes decoded by OLEToy, so visible/printable/color/transparency etc are known. Layer name seems to be in formula blocks, hence libvisio is not ready to extract that.

Shapes are linked to layers via PropList->LayerMem chunks.
Comment 7 Lukas Jelinek 2014-05-02 19:52:12 UTC
I can confirm this problem. It makes big troubles for Visio files having many layers. For example, some older Visio files (before 2010 which introduces multi-language texts) have many layers containing texts in different languages. These files can't be effectively imported into LibreOffice Draw because they are converted to total "mashup".
Comment 8 Fridrich Strba 2015-12-14 00:07:41 UTC
This libvisio commit
http://cgit.freedesktop.org/libreoffice/libvisio/commit/?id=e7806e9b217fcd195b5f8297091fa83b40b8a95d
together with this libodfgen commit
http://sourceforge.net/p/libwpd/libodfgen/ci/85edaa42ff06849943f57757983b2f76f736f8f7/
fixes this issue. It will need a release of both libvisio and libodfgen and their integration in LibreOffice to be accessible to wide public. But I fixed it, so resolving this bug.